> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apten.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove from DNC List

> Removes a phone number from the DNC list



## OpenAPI

````yaml delete /dnc/{phone_number}
openapi: 3.0.1
info:
  title: AttentPublicAPI
  version: '2024-05-17T21:09:13Z'
servers:
  - url: https://api.attent.app/v1
security: []
paths:
  /dnc/{phone_number}:
    delete:
      description: Removes a phone number from the DNC list
      parameters:
        - name: phone_number
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/phoneProperty'
          description: The phone number to remove
      responses:
        '200':
          description: Phone number successfully removed from DNC list
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Success message
                example:
                  message: Phone number successfully removed from DNC list
        '403':
          $ref: '#/components/responses/403'
        '500':
          $ref: '#/components/responses/500'
      security:
        - api_key: []
components:
  schemas:
    phoneProperty:
      type: string
      description: >
        The phone number must begin with an area code (+) and can contain
        digits, spaces, parentheses, and hyphens (e.g. +1 (555) 555-5555)
  responses:
    '403':
      description: Forbidden API key
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            example:
              message: Forbidden
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            example:
              message: Internal Server Error
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header

````